# PSF-LoginServer - master - net.psforever.packet.PacketCoding.CryptoCoding
PSF - LoginServer - master - net.psforever.packet.PacketCoding.CryptoCoding
Keywords: PSF LoginServer master net.psforever.packet.PacketCoding.CryptoCoding

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  object PacketCoding
  Definition Classes
    packet
- CryptoCoding

c

net.psforever.packet.PacketCoding

# CryptoCoding

###

#### case class CryptoCoding(rc5EncryptionKey: Key, rc5DecryptionKey: Key, macEncryptionKey: ByteVector, macDecryptionKey: ByteVector) extends Product with Serializable

Source
  PacketCoding.scala

Linear Supertypes
Serializable, Product, Equals, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CryptoCoding
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new CryptoCoding(rc5EncryptionKey: Key, rc5DecryptionKey: Key, macEncryptionKey: ByteVector, macDecryptionKey: ByteVector)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def decrypt(data: ByteVector): Attempt[ByteVector]
7.  def encrypt(data: ByteVector): Attempt[ByteVector]
8.  def encrypt(packet: PlanetSidePacket): Attempt[ByteVector]
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  val macDecryptionKey: ByteVector
14.  val macEncryptionKey: ByteVector
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  def productElementNames: Iterator[String]
    Definition Classes
      Product
19.  val rc5DecryptionKey: Key
20.  val rc5EncryptionKey: Key
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped